## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XTokenNumberAdapter Class Reference

Inheritance diagram for XTokenNumberAdapter:

[legend]
Collaboration diagram for XTokenNumberAdapter:

[legend]
List of all members.

## Public Member Functions

- XTokenNumberAdapter (const XToken &theToken)
    Create an XTokenNumberAdapter from an XToken.
- XTokenNumberAdapter (const XTokenNumberAdapter &source)
- virtual ~XTokenNumberAdapter ()
- virtual double num () const
    Cast result object to a number.
- virtual const XalanDOMString & str () const
    Cast result object to a string.
- virtual void str (FormatterListener &formatterListener, MemberFunctionPtr function) const
    Send the string value to a FormatterListener instance.
- virtual void str (XalanDOMString &theBuffer) const
    Append the string value directly a string.
- virtual double stringLength () const
    Get the length of the string value of the instance..

## Protected Member Functions

- virtual eObjectType getRealType () const
    Tell what kind of class this is.

## Constructor & Destructor Documentation

XTokenNumberAdapter::XTokenNumberAdapter | ( | const XToken & | theToken | ) |

Create an XTokenNumberAdapter from an XToken.

Parameters:

  theXToken | The XToken instance to adapt

XTokenNumberAdapter::XTokenNumberAdapter | ( | const XTokenNumberAdapter & | source | ) |

virtual XTokenNumberAdapter::~XTokenNumberAdapter | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual eObjectType XTokenNumberAdapter::getRealType | ( |  | ) | const`[protected, virtual]`

Tell what kind of class this is.

Returns:
  numeric type value

Reimplemented from XObject.

virtual double XTokenNumberAdapter::num | ( |  | ) | const`[virtual]`

Cast result object to a number.

Returns:
  numeric value

Implements XNumberBase.

virtual void XTokenNumberAdapter::str | ( | XalanDOMString & | theBuffer | ) | const`[virtual]`

Append the string value directly a string.

Parameters:

  theBuffer | The buffer for the data

Reimplemented from XObject.

virtual void XTokenNumberAdapter::str | ( | FormatterListener & | formatterListener,
|  | MemberFunctionPtr | function
| ) | const`[virtual]`

Send the string value to a FormatterListener instance.

Parameters:

  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call

Implements XNumberBase.

virtual const XalanDOMString& XTokenNumberAdapter::str | ( |  | ) | const`[virtual]`

Cast result object to a string.

Returns:
  string value

Implements XNumberBase.

virtual double XTokenNumberAdapter::stringLength | ( |  | ) | const`[virtual]`

Get the length of the string value of the instance..

Returns:
  The length of the string value

Implements XNumberBase.

The documentation for this class was generated from the following file:

- XTokenNumberAdapter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.